<template>
    <div>
        <p class="card-title"> <span class="tag tag-pill tag-warning" style="font-size:16px" @click="show">Ver video</span>  </p>
        <button type="button" class="btn btn-black btn-circle waves-effect waves-light" @click="show">
            <i class="ti-arrow-right"></i>
        </button>
        <modal name="hello-world"
                :width="800"
                height="auto"
                @hide="hide" 
                :adaptive="true"
                :resizable="true">
            <div class=" embed-responsive embed-responsive-16by9">
                <youtube video-id="xoVaC_sRrjg"></youtube>
            </div>    

        </modal>
    </div>
</template>

<script>

import VModal from 'vue-js-modal'

export default {

	components : {
		VModal
		},

    name: 'video-modal',

    data () {
        return {
            time: 0,
            duration: 5000
        }
    },
    methods: {
        show () {
            this.$modal.show('hello-world');
        },
        hide () {
            this.$modal.hide('hello-world');
        }
    }
}
</script>